#!../../bin/linux-arm/USB-SP4T

## You may have to change USB-SP4T to something else
## everywhere it appears in this file

< envPaths

epicsEnvSet("dev", "HID1")

cd "${TOP}"

epicsEnvSet("STREAM_PROTOCOL_PATH", ".:${TOP}/USB-SP4TApp/Db" )

## Register all support components
dbLoadDatabase "dbd/USB-SP4T.dbd"
USB_SP4T_registerRecordDeviceDriver pdbbase

## Load record instances
dbLoadRecords("db/USB-SP4T.db","USER=TEST,DEV=$(dev)")
drvAsynUSBHIDConfigure("$(dev)","0x20ce", "0x0022", "11705260002", "1")
#drvAsynUSBHIDConfigure("$(dev)","0x20ce", "0x0022", "11705260000", "1")
#drvAsynUSBHIDConfigure("$(dev)","0x20ce", "0x0022", "", "1")


cd "${TOP}/iocBoot/${IOC}"
iocInit

asynSetTraceMask("$(dev)", 0 , -1)
asynSetTraceIOMask("$(dev)", 0, -1)


## Start any sequence programs
#seq sncxxx,"user=debian"

